<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApprovalTasksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('st_approval_tasks', function (Blueprint $table) {
            $table->id();
            //FOREIGN KEY CONSTRAINTS
            $table->foreignId('approval_rule_id');
            $table->foreign('approval_rule_id')->references('id')->on('st_approval_rules')->onDelete('cascade');
            $table->integer('approval_rollback_id');
            $table->boolean('is_approval');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('approval_tasks');
    }
}
